// Helper class
.d-grid {
  display: grid;
  grid-gap: 30px;
  @include respond-to(extra-small-screen) {
    grid-gap: 0px;
  }
  @include respond-to(small-screen) {
    grid-gap: 10px;
  }
  @include respond-to(medium-screen) {
    grid-gap: 20px;
  }
}
.d-flex {
  display: flex;
}
.d-none {
  display: none;
}

.grid-1-2 {
  grid-template-columns: 1fr 2fr;
  @include respond-to(extra-small-screen) {
    grid-template-columns: 1fr;
  }
  @include respond-to(small-screen) {
    grid-template-columns: 1fr;
  }
}
.grid-2-1 {
  grid-template-columns: 2fr 1fr;
  @include respond-to(extra-small-screen) {
    grid-template-columns: 1fr;
  }
  @include respond-to(small-screen) {
    grid-template-columns: 1fr;
  }
}
.grid-2 {
  grid-template-columns: 1fr 1fr;
  @include respond-to(extra-small-screen) {
    grid-template-columns: 1fr;
  }
}
.grid-2-auto {
  grid-template-columns: auto auto;
  justify-items: start;
  @include respond-to(extra-small-screen) {
    grid-template-columns: 1fr;
  }
  & > div:nth-child(2n) {
    justify-self: end;
  }
}
.grid-3 {
  grid-template-columns: repeat(3, 1fr);
  // @include respond-to(extra-small-screen){
  //   grid-template-columns: 1fr;
  // }
}
.grid-4 {
  grid-template-columns: repeat(4, 1fr);
  @include respond-to(extra-small-screen) {
    grid-template-columns: 1fr;
  }
}

.grid-gap-0 {
  grid-gap: 0;
}

.flex-1-2 {
  div:first-child {
    width: 40%;
  }
  div:last-child {
    width: 55%;
  }
}

.justify-between {
  justify-content: space-between;
}
.justify-evenly {
  justify-content: space-evenly;
}
.justify-around {
  justify-content: space-around;
}
.justify-center {
  justify-content: center;
}

.align-center {
  align-items: center;
}
.align-start {
  align-items: start;
}
.align-end {
  align-items: end;
}
//
.text-left {
  text-align: left;
}
.text-right {
  text-align: right;
}
.text-center {
  text-align: center;
}

.respons-img {
  // transition: 0.4s;
  -o-fit-object: cover;
  object-fit: cover;
  z-index: 1;
  width: 100%;
  height: auto;
  min-height: 100%;
}

.mb-3 {
  margin-bottom: 30px;
  @include respond-to(extra-small-screen) {
    margin-bottom: 20px;
  }
}
.m-auto {
  margin: 0 auto;
}

.p-0 {
  padding: 0;
}

.red {
  color: $color-red;

  svg {
    fill: $color-red;
    margin: 0 10px 0;
  }

  &:hover {
    svg {
      fill: inherit;
    }
  }
}

input,
select {
  padding: 15px 10px;
  font-family: $Montserrat;
  color: $color-black;
  font-size: 16px;
  background: transparent;

  &::-webkit-input-placeholder {
    /* WebKit, Blink, Edge */
    color: $color-black;
    font-family: $MontserratMedium;
  }
  &:-moz-placeholder {
    /* Mozilla Firefox 4 to 18 */
    color: $color-black;
    font-family: $MontserratMedium;
    opacity: 1;
  }
  &::-moz-placeholder {
    /* Mozilla Firefox 19+ */
    color: $color-black;
    font-family: $MontserratMedium;
    opacity: 1;
  }
  &:-ms-input-placeholder {
    /* Internet Explorer 10-11 */
    color: $color-black;
    font-family: $MontserratMedium;
  }
  &::-ms-input-placeholder {
    /* Microsoft Edge */
    color: $color-black;
    font-family: $MontserratMedium;
  }

  &::placeholder {
    /* Most modern browsers support this now. */
    color: $color-black;
    font-family: $MontserratMedium;
  }
}
option {
  padding: 20px;
  color: $color-black;
  background: $color-white;
  &[disabled='disabled'] {
    color: $color-gray;
  }
  &:hover {
    background: $color-navy-blue;
  }
}

.underline {
  text-decoration: underline;
}

.alert {
  display: inline-table;
  text-align: center;
  border-radius: 5px;
  padding: 2px 8px;
  width: 100%;

  &-danger {
    color: $color-red;
    background: lighten($color-red, 40%);
  }
  &-success {
    color: $color-green;
    background: lighten($color-green, 55%);
  }
  &-warning {
    color: $color-orange;
    background: lighten($color-orange, 40%);
  }
  &-info {
    color: $color-blue;
    background: lighten($color-blue, 40%);
  }
}

.container {
  margin: 0 auto;
  max-width: 1280px;
  padding-left: 15px;
  padding-right: 15px;
  @include respond-to(extra-small-screen) {
    max-width: 500px;
  }
  @include respond-to(small-screen) {
    max-width: 760px;
  }
  @include respond-to(medium-screen) {
    max-width: 990px;
  }
  @include respond-to(large-screen) {
    max-width: 994px;
  }
  @include respond-to(laptop) {
    max-width: 1200px;
  }
}
.container-fluid {
  width: 100%;
}

.container:hover input ~ .checkmark {
  background-color: #a0aec0;
}

.container input:checked ~ .checkmark {
  background-color: #0078d4;
}

.checkmark:after {
  content: '';
  position: absolute;
  display: none;
}

.container input:checked ~ .checkmark:after {
  display: block;
}

.container .checkmark:after {
  left: 7px;
  top: 4px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.dropdown:focus-within .dropdown-menu {
  opacity: 1;
  transform: translate(0) scale(1);
  visibility: visible;
}

table {
  tr:nth-child(odd) {
    background-color: $color-gray-light;
  }
}
